use nipper::Document;
use std::fs;

async fn get(url:&str) -> Result<String, reqwest::Error> {
    Ok(reqwest::get(url)
        .await?
        .text()
        .await?)
}

#[tokio::main]
async fn main() {
    if let Ok(resp) = get("https://expo.chikoroko.art/").await {
        println!("{:#?}", resp);
        println!("--------");

        //resp 保存为./test.html utf8编码
        fs::write("test.html", resp).unwrap();

        let html = include_str!("test.html");

        let document = Document::from(html);
        let mut last_name = String::new();
        document
            .select("span.info-content")
            .iter()
            .take(1)
            .for_each(|athing| {
                let title = athing.select("span").select("span").text();

                last_name = title.to_string();

                println!("{}", title);
                println!();
            });
        println!("最新获取到的为:{}", last_name);

        //读取 last.txt
        let last = include_str!("Last.txt").to_string();
        println!("txt文件内为:{}", last);

        // 如果 last_name 和 last 不一致，则更新 last.txt
        if last_name != last {
            println!("更新 Last.txt 内容为:{}", last_name);
            fs::write("Last.txt", last_name).unwrap();
            // get 
            // 
            if let Ok(resnew) = get("https://sqbgy.lhtuling.xyz/my/api/TempMsg/send?msg=chikoroko+New&openid=oXXOP1vfBZHT8Pb2cP2-xmTMyaEY&template_id=buXotscB4xCNHNNlHLLyt30aa9RzzoWS3yHFwTaufEY").await {
            println!("通知成功:{}", resnew);
                
            }
        
        } else {
            println!("内容一致,未更新!不做处理");
        }
    }
}
